# Preparing data
clear
reset
set terminal png
set datafile separator ","
set datafile missing "NaN"
set bmargin at screen 0.15
set lmargin at screen 0.15
file="../datos/datos-covid-mexico.csv"
set linestyle 1 lc rgb 'black' pt 6 ps 2  # circle
set linestyle 2 lt 0 lw 3.3
FIT_LIMIT = 1e-6
# 5 Incremento diario
#clear
set output "1-5.png"
g(x) = c*exp(d*x)
fit g(x) file using 2:6 via c, d
set xlabel 'Días de contagio' font ',14'
set xtics font ", 13"
show xlabel
set ytics font ", 11"
set ylabel 'Incremento de casos diario' font ',14'
set label sprintf("f(x)=%+-f*exp(%+-f*x)", c, d) at graph 0.01,0.85 font ',12'
set title 'Figura 5: Modelo exponencial para incrmento de los casos diarios en México' font ',14'
show title
set key left top font ',10'  box 3
plot file using 2:6 title 'Incremento' w lp ls 1, \
     g(x) with lines ls 2 title 'Regresor'
set output 
unset output
unset label
